package cn.com.taiji.controller;

import cn.com.taiji.entity.QueryVo;
import cn.com.taiji.service.TianaoService;
import cn.com.taiji.utils.ExcelUtils;
import cn.com.taiji.vo.TianaoVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.net.URLEncoder;
import java.util.List;

/**
 * @author chenfangchao
 * @title: TianaoRadarController
 * @projectName es-track-analysis
 * @description: TODO
 * @date 2023/2/6 5:49 PM
 */
@RequestMapping("/tianao")
@RestController
public class TianaoRadarController {


    @Autowired
    private TianaoService tianaoService;

    @PostMapping("/export")
    public void tianaRader(HttpServletResponse response, @RequestBody QueryVo query){
        List<TianaoVo> list = tianaoService.tianaRader(query);
        try {
            if(null != list && 0 < list.size()){
                ExcelUtils.export2Web(response, "天奥", "天奥", TianaoVo.class, list);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
